defmodule SimpleshopTheme.Repo.Migrations.AddImageMetadataAndOban do
  use Ecto.Migration

  def change do
    alter table(:images) do
      add :source_width, :integer
      add :source_height, :integer
      add :variants_status, :string, default: "pending"

      remove :thumbnail_data
    end

    Oban.Migration.up(version: 12)
  end
end
